Bug 1578911 - VMware resource pools are populated only from first cluster found
Summary: VMware resource pools are populated only from first cluster found
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Compute Resources - VMWare
Version: 6.3.1
Hardware: x86_64
OS: Linux
high
high
Target Milestone: 6.7.0
Assignee: Ondřej Ezr
QA Contact: Lukáš Hellebrandt
URL:
Whiteboard:
Depends On:
Blocks: 1789393
TreeView+ depends on / blocked
 
Reported: 2018-05-16 15:21 UTC by Timur Daianov
Modified: 2020-04-14 13:23 UTC (History)
9 users (show)

Fixed In Version: foreman-1.23.0
Doc Type: Known Issue
Doc Text:
When you provision a host using the VMware compute resource, you can only select the default resource pool. If you try to select a different resource pool, provisioning fails. As a workaround, disable the cache on the compute resource.
Clone Of:
: 1789393 (view as bug list)
Environment:
Last Closed: 2020-04-14 13:22:58 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 27363 High Closed VMware resource pools are populated only from first cluster found 2020-10-29 21:04:04 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:23:14 UTC

Description Timur Daianov 2018-05-16 15:21:08 UTC
Description of problem:
Customer has multiple vmware clusters under vmware datacenter and each of this clusters has it's own resource pool.
When trying to provision vm under any other than first vm_cluster, resource pools can't be selected and only initial once are displayed.

Version-Release number of selected component (if applicable):
satellite 6.3.1
esx and vcenter components will be updated later

How reproducible:
configure vcenter compute resource on satellite 6.3.1 and make sure that your vmware datacenter has multiple clusters and each has own resource pools
try to provision new vm in any other than first vm_cluster.
If you select resource pool other than generic it will fail.

Steps to Reproduce:
1.see above

Actual results:
resource pool in select field is from first cluster
provision fail if they are selected, or you have to select generic one and than manually change it.

Expected results:
resource pool should be populated each time you select different vmware cluster.

Additional info:

Comment 3 Timur Daianov 2018-05-17 07:48:51 UTC
ESXs and vcenter are version 6.0.0

Comment 4 Chris Roberts 2018-09-27 18:50:06 UTC
The workaround is to disable caching on the compute resource, clearing the cache does not do anything. 

Working on getting this in for 6.5 and 6.4.z

Comment 5 Ondřej Ezr 2019-07-22 09:59:16 UTC
Created redmine issue https://projects.theforeman.org/issues/27363 from this bug

Comment 6 Bryan Kearney 2019-07-22 14:01:29 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/27363 has been resolved.

Comment 12 Lukáš Hellebrandt 2020-01-17 14:46:39 UTC
Verified with Sat 6.7 snap 8.

Tried through WebUI, using steps from OP, both image-based and pxe-based provisioning.

Tried with hammer. There are some issues that I will open a separate BZ against but these are not regression, compared to 6.6.

Comment 17 errata-xmlrpc 2020-04-14 13:22:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.